Subject: RE: SIP: Proxy encryption

From: "Greene, Wedge" <[email-masked]>
Date: Fri, 27 Mar 1998 17:38:30 -0700

This is something Henning and I have been discussing.  It is possible
that a disclaimer placed in the SIP Client or returned as a message by
the Server which announces that the user's name & address/# is being
sent clear and that allows the user to implicitly accept by continuing
to use service will be enough legal protection.  This could even be a
feature placed at install of client software and in registering with SIP
server. Recommendations for this should be placed in the SIP spec.

I am preparing this issue for forward to an MCI layer for an opinion.
Will inform list of result if council allows (which they very well might
not); nevertheless it might be a good idea to get several legal
opinions.

###############################################################
# [email-masked]                                        #
# ----------------------------------------------------------- #
# Wedge Greene                              Advisory Engineer #
# MCI                                            Architecture #
#                         Next Generation Intelligent Network #
# 901 International Pky              Fax:   +1 (972) 498-1147 #
# Richardson, Texas  75081           Phone: +1 (972) 498-1232 #
# U.S.A.                                                      #
###############################################################

> -----Original Message-----
> From:	Mark Handley [SMTP:[email-masked]]
> Sent:	Friday, March 27, 1998 5:19 PM
> To:	Henning Schulzrinne
> Cc:	[email-masked]
> Subject:	Re: SIP: Proxy encryption 
> 
> 
> >Caller identity is very sensitive information, requiring a court
> order
> >to get, so requiring that I put a signature visible to every unknown
> >proxy along the way on every call is not going to fly.
> 
> Actually this is a good point, and something we need to fix in the
> current draft.  
> 
> It appears there's the possibility in the current spec for us to allow
> an external identify (From field in the clear) and an internal
> identity (From field encrypted) and on decryption our current rules
> say the internal From field replaces the external one.  In addition,
> the spec would also allow an external Authorization field and an
> internal one.
> 
> Thus you can have an external identity that clears you through
> authenticating proxies and protects the header fields against
> tampering, but doesn't reveal your true identity to anyone, and an
> internal identity that is only revealed to the recipient.  The only
> change we need is to note explicitly that this may occur (ie a
> receiver may need to check a second signature after decryption).
> 
> 
> Now, a separate issue is the one of whether we let a NAT change the
> addresses in the SDP payload - it's this idea I don't like.
> 
> Cheers,
> 	Mark